
Core - Bug # 37209

Status: Resolved Priority: Should have
Author: Thorsten Kahler Category: Database API
Created: 2012-05-16 Assigned To:
Updated: 2013-10-11 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity: medium
Is Regression:
Sprint Focus:
Subject: Workspace preview shows pages changes from all workspaces
Description

When working with more than one workspace (besides LIVE) the preview shows changes in the table pages from all workspaces.

This can be solved by enhancing the condition in t3lib_pageSelect::init() to select only pages from current workspace and workspace 0
(LIVE).

Related issues:
related to Core - Bug # 33533: menu in frontend shows (moved) pages from LIVE... New 2012-01-30
related to Core - Bug # 37065: Workspace preview (FE) shows duplicate records Resolved 2012-05-10

Associated revisions
Revision f146309b - 2013-10-11 16:11 - Thorsten Kahler

[BUGFIX] WS preview shows pages changes from all WS

In workspace preview the query condition for pages records has to be
enhanced to restrict to live WS and current WS.

Change-Id: Ib271b9bb435b50f2777621707728a74ba5de4187
Fixes: #37209
Releases: 6.2, 6.1, 6.0
Reviewed-on: https://review.typo3.org/11252
Reviewed-by: Sascha Egerer
Tested-by: Sascha Egerer
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision d6b57e8a - 2013-10-11 16:16 - Thorsten Kahler

[BUGFIX] WS preview shows pages changes from all WS

In workspace preview the query condition for pages records has to be
enhanced to restrict to live WS and current WS.

Change-Id: Ib271b9bb435b50f2777621707728a74ba5de4187
Fixes: #37209
Releases: 6.2, 6.1, 6.0
Reviewed-on: https://review.typo3.org/24573

2015-08-04 1/3

https://review.typo3.org/11252
https://review.typo3.org/24573


Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision 7c837df7 - 2013-10-11 16:19 - Thorsten Kahler

[BUGFIX] WS preview shows pages changes from all WS

In workspace preview the query condition for pages records has to be
enhanced to restrict to live WS and current WS.

Change-Id: Ib271b9bb435b50f2777621707728a74ba5de4187
Fixes: #37209
Releases: 6.2, 6.1, 6.0
Reviewed-on: https://review.typo3.org/24574
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2012-05-16 18:36 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11252

#2 - 2012-05-18 10:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11252

#3 - 2012-05-25 09:55 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11252

#4 - 2012-07-12 07:17 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11252

#5 - 2013-02-07 11:26 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11252

#6 - 2013-02-07 13:55 - Gerrit Code Review
Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11252

#7 - 2013-08-15 17:18 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11252

#8 - 2013-10-11 15:28 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11252

#9 - 2013-10-11 15:29 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11252

#10 - 2013-10-11 15:46 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11252

#11 - 2013-10-11 16:14 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/24573

#12 - 2013-10-11 16:18 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/24574

#13 - 2013-10-11 16:30 - Thorsten Kahler
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7c837df73b71243b6839e9fe4df55020a58e67a6.
